﻿@model web_app_voice.ModelsDto.TagsDto.TagListDto
@{
    ViewData["Title"] = "Tags";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@Html.Hidden("FilterJson", Model.filterString)
<div id="new_tag"></div>
<div class="modal fade modal-lg" id="detailsModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-body"></div>
        </div>
    </div>
</div>

<div style="margin-top:10px">
    <h3>Smart Tags</h3>
    <hr />
    <div class="row" style="margin-left:10px; margin-right:10px">
        <div class="row row-eq-height">
            <div class="form-group col-lg-3 col-md-5 col-sm-6 col-xs-12">
                <label><span data-i18n="nav.search">Transport Type</span></label>
                <div class="row" style="padding-top:5px">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 list-group-item-heading">
                        <div class="i-checks" style="float:left">
                            <label><input id="Bus" type="checkbox" class="transportTypeEnum" stateenum="10"> <i></i>Bus</label>
                            <label><input id="Trolley" type="checkbox" class="transportTypeEnum" stateenum="20"> <i></i>Trolley</label>
                            <label><input id="Station" type="checkbox" class="transportTypeEnum" stateenum="30"> <i></i>Station</label>
                        </div>
                    </div>
                </div>
            </div>

            <div class="form-group col-lg-3 col-md-5 col-sm-6 col-xs-12">
                <label><span data-i18n="nav.search">Transport Status</span></label>
                <div class="row" style="padding-top:5px">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 list-group-item-heading">
                        <div class="i-checks" style="float:left">
                            <label><input id="Online" type="checkbox" class="transportStateEnum" stateenum="10"> <i></i>Online</label>
                            <label><input id="Warrning" type="checkbox" class="transportStateEnum" stateenum="20"> <i></i>Warrning</label>
                            <label><input id="Error" type="checkbox" class="transportStateEnum" stateenum="30"> <i></i>Error</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group col-lg-2 col-md-5 col-sm-6 col-xs-12">
                <label><span data-i18n="nav.search">Search Text</span></label>
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 list-group-item-heading">
                        <div class="i-checks" style="float:left">
                            <input type="text" placeholder="placeholder" class="form-control" id="transportSerchBox">
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group col-lg-2 col-md-5 col-sm-6 col-xs-12">
                <label><span data-i18n="nav.search">Transport Sort</span></label>
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 list-group-item-heading">
                        <select class="form-control" id="transportSorter">
                            <option value="0">Select</option>
                            <option value="10">Instance</option>
                            <option value="20">Transport Type</option>
                            <option value="30">Status</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="form-group col-lg-2 col-md-5 col-sm-6 col-xs-12">
                <label><span data-i18n="nav.search">Sort Type</span></label>
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 list-group-item-heading">
                        <select class="form-control" id="sorter">
                            <option value="10">Ascending</option>
                            <option value="20">Descending</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
        <div class="row row-eq-height col-lg-12">
            <div class="form-group col-lg-3 col-md-5 col-sm-7 col-xs-12 pull-right">
                <!--
               <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 list-group-item-heading">
                   <label type="button" class="btn btn-outline btn-primary" style="margin-top:10px;" id="add_new_tag"><span data-i18n="nav.search"></span>New Tag</label>
               </div>
        -->
                <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 list-group-item-heading">

                </div>
                <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 list-group-item-heading">
                    <label type="button" class="btn btn-outline btn-primary" style="margin-top:10px;" id="clearFilters"><span data-i18n="nav.search">Clear Filters</span></label>
                </div>

            </div>
        </div>
        <div id="tagDataList" class="row row-eq-height">
            @if (Model != null) { await Html.RenderPartialAsync("TagsList.cshtml", Model); }
        </div>
    </div>
</div>

@section Scripts {
    <script src="~/lib/iCheck/icheck.min.js"></script>
    <script src="~/js/app/TagPage.js" type="text/javascript"></script>
    <script type="text/javascript">
            $(document).ready(function () {
                new tagList({
                    getPartialListUrl: "@Url.Action("GetPartialTagList", "Tags")",
                    openCreateWindowUrl: "@Url.Action("OpenCreateModal", "Tags")"
                })
            })
    </script>
}

